Big polygon in shapefile not shown in 1.8.0

2012-10-03 06:51 AM - Timo Proescholdt

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 15689

Description

Certain big polygons of a shapefile are not shown correctly in QGIS 1.8.0, while they are shown ok in 1.7.4.

The problem is that while the polygons are displayed when the zoomlevel is low enough, they disappear once the zoomlevel is higher. An

additional issue is that the identify feature fails to identify the polygon, even when it is displayed correctly.

The shapefile in question contains a world map. The shapefile can be found here: 

http://mapbox-geodata.s3.amazonaws.com/natural-earth-1.4.0/cultural/10m-admin-0-countries.zip

The two polygons that are not shown correspond to Russia and Antarctica.

One reason for this might be that both Antarctica and Russia are quite complex polygons, but so is Canada, which is shown ok.

I have tested this on Windows XP and Mac for QGIS 1.8.0, where it does not work, and 1.7.4, where is works ok.

History

#1 - 2012-10-03 12:13 PM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Category set to Vectors

- Status changed from Open to Feedback

- Target version set to Version 2.0.0

- Affected QGIS version changed from master to 1.8.0

And what about master, it show with it? I will tag this s blocker as it seems a regression, but please test also master.

#2 - 2012-10-04 02:46 AM - Richard Burns

I have the sme problem with shapefiles created from "LEICA Geo Office Combined" it applies to all shapefiles, when i zoom in the polygones disapear, this

makes digitising and editing these shapes impossible. Shapefiles created in QGis work fine but imported ones that i have surveyed disapear. This is only a

problem in 1.8.0 and 1.7.4 works fine so for now i have reverted to 1.7.4

#3 - 2012-10-04 05:04 AM - Timo Proescholdt

It does not work with master either.

I have installed "QGIS version 1.9.0-Master" (according to "about") via the OSGEOshell.

The problem remains as described above.

#4 - 2012-10-04 06:37 AM - Giovanni Manghi
http://mapbox-geodata.s3.amazonaws.com/natural-earth-1.4.0/cultural/10m-admin-0-countries.zip


- Category changed from Vectors to Projection Support

- Affected QGIS version changed from 1.8.0 to master

It seems a projection issue, rather than a vector one. Russia and Antarctica polygons cannot be even identified or selected.

#5 - 2012-10-31 09:17 AM - Werner Macho

- Operating System set to Win7 Ubuntu Debian 

Definitely a BLOCKER - confirmed on windows and debian

QGIS 1.8 and master commit:d7a7a46

I don't think it's a projection issue as it works perfectly on 1.7.4..

But where to start searching?

#6 - 2012-12-25 06:16 AM - Giovanni Manghi

- Operating System deleted (Win7 Ubuntu Debian )

- Status changed from Feedback to Open

#7 - 2013-01-03 04:35 PM - Jürgen Fischer

- Priority changed from Severe/Regression to Normal

- Resolution set to upstream

Werner Macho wrote:

But where to start searching?

With geometry validity.  The shape file contains lots of invalid polygons - eg. russia has 26 errors.  I assume it's an upstream problem (GDAL/OGR or

GEOS).  For instance trying to export an shape from an extent where russia is not shown in qgis (because it only intersects with the current canvas, but

isn't completely contained in it) also produces a shape without russia:

$ ogr2ogr -spat 990548.01933083 3581300.99322487 10124463.25272655 8165312.22312922 /tmp 10m-admin-0-countries.shp

10m-admin-0-countries

ERROR 1: IllegalArgumentException: Points of LinearRing do not form a closed linestring

#8 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#9 - 2015-12-13 12:25 PM - Médéric RIBREUX

- Status changed from Open to Feedback

- Resolution deleted (upstream)

Hello, bug triage...
in QGIS 2.13 master, I can display the shapefile but at certain zoom levels, some polygons are not rendered.

I can't identify some polygons (Russia and Antartica) but as Jürgen said, this seems to be a problem of invalid geometries.

I suggest we close this bug as this is much more a problem of invalid geometries than a problem in QGIS...

#10 - 2015-12-30 05:29 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to up/downstream

cleaning the vector (v.clean/st_makevalid/etc.) gives a vector that works as expected.
